# Package org.w3c.dom.ranges

A W3C standard package, that provides a framework of interfaces for DOM level 2 Range to dynamically identify a range of content in an XML document.

See: Description

Interface Summary
DocumentRange: See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.
Range: See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Exception Summary
RangeException: Range operations may throw a `RangeException` as specified in their method descriptions.

## Package org.w3c.dom.ranges Description

A W3C standard package, that provides a framework of interfaces for DOM level 2 Range to dynamically identify a range of content in an XML document.

Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. This document has been reviewed by W3C Members and other interested parties and has been endorsed by the Director as a W3C Recommendation.